version: '3.7'

services:
  nats:
    image: nats:latest
    ports:
      - "4222:4222"
      - "8222:8222"
      - "6222:6222"
  consumer:
    build:
      context: ./consumer
    ports:
      - "3001:3000"
  producer:
    build:
      context: ./producer
    ports:
      - "3002:3000"
